<?php
/**
 * @package Sj Content slideshowres
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

if(!empty($list)) {
    $image_config = array(
        'output_width'  => $params->get('item_image_width'),
        'output_height' => $params->get('item_image_height'),
        'function'		=> $params->get('item_image_function'),
        'background'	=> $params->get('item_image_background')
    ); 
	$instance	= rand().time();
	$options=$params->toObject();
	
	if ($params->get('start', 0) <= 0){
		$params->set('start', 0);
	} else if ($params->get('start', 0) > count($list)){
		$params->set('start', count($list)-1);
	} else{
		$start=$params->get('start')-1;
		$params->set('start', $start);
	}

?>
<?php if(!empty($options->pretext)) { ?>
<div class="pre-text">
	<?php echo $options->pretext; ?>
</div>
<?php } ?>
<div class="slideshowres <?php echo $params->get('theme'); ?>" id="slideshowres_<?php echo $instance; ?>">
	<div class="sl-wrap">
		<div class="sl-items">
			<?php foreach ($list as $item) { ?>
			<div class="sl-item">
				<div class="sl-item-image">
					<?php if((int)$options->item_image_linkable == 1){ ?>
						<a href="<?php echo $item->link ?>" target="<?php echo $options->item_link_target ?>">
							<img data-src="<?php echo Ytools::resize($item->image,$image_config);?>" title="<?php echo $item->title; ?>" alt="<?php echo $item->title ?>"/>
						</a>
					<?php } else { ?>
						<img data-src="<?php echo Ytools::resize($item->image,$image_config);?>" title="<?php echo $item->title; ?>" alt="<?php echo $item->title ?>"/>
					<?php } ?>
				</div>
				<?php if($options->item_desc_display == 1 && !empty($item->desc) || $options->item_readmore_display == 1 || $options->item_title_display == 1){ ?>
				<div class="sl-item-info conner-tr">
					<div class="transparency"></div>
					<div class="sl-item-content" >
						<?php if($options->item_title_display==1) { ?>
							<div class="sl-item-title">
								<?php if($options->item_title_linkable==1) { ?>
									<a href="<?php echo $item->link ?>" target="<?php echo $options->item_link_target ?>">
										<?php echo YTools::truncate($item->title,$options->item_title_maxchars,""); ?>
									</a>
								<?php } else{ ?>
									<span>
										<?php echo YTools::truncate($item->title,$options->item_title_maxchars,""); ?>
									</span>
								<?php } ?>
							</div>
						<?php } ?>
						
						<?php if($options->item_desc_display==1) { ?>
							<div class="sl-item-description">
								<?php echo YTools::truncate($item->desc,$options->item_desc_maxchars,""); ?>
							</div>
						<?php } ?>
						
						<?php if($options->item_readmore_display==1) { ?>
							<div class="sl-item-readmore">
								<a href="<?php echo $item->link ?>" target="<?php echo $options->item_link_target ?>">
									<?php echo $options->item_readmore_text; ?>
								</a>
							</div>
						<?php } ?>
					</div>
				</div>
				<?php }?>
			</div>
			<?php } ?>
		</div>
		
		<div class="sl-control conner-br">
			<ul class="pag-list">
				<li class="pag-prev"></li>
				<?php for($i=0; $i<count($list); $i++): ?>
					<li class="pag-item pag-item-<?php echo $i; ?>"><?php echo $i+1; ?></li>
				<?php endfor; ?>
				<li class="pag-next"></li>
			</ul>
		</div>
	</div>
    
	<script type="text/javascript">
		//<![CDATA[
		$jsmart(document).ready(function($){
			$('#slideshowres_<?php echo $instance; ?> .sl-wrap .sl-items').each(function(){
				var $cont = $(this), $images = $('img[data-src]', this), itemSize = function(){
					var maxHeight = 0;
					$('.sl-item', $cont).each(function(){
						if ($(this).height() > maxHeight){
							maxHeight = $(this).height();
						}
					});
					$cont.css({height: maxHeight});
					// console.log('Container resized!');
				};
				
				if ($images.length){
					var count = $images.length;
					$images.each(function(){
						var image = $(this), src0 = image.attr('data-src'), currentTime = (new Date()).getTime();
						image.load(function(){
							count--;
							if (count==0){
								itemSize();
								$cont.cycle({
                    				slideExpr: '.sl-item',
                                    slideResize: 0,  				
                    				fx: '<?php echo $params->get('effect', 'all'); ?>',
                    				speed: <?php echo $params->get('slideshow_speed', '500'); ?>,
                    				timeout: <?php echo ($options->play==1)?($params->get('timer_speed', 0)):0; ?>,
                    				pause: <?php echo (int)$options->pause_hover ?>,
                    				pauseOnPagerHover: <?php echo (int)$options->pause_hover; ?>,
                    				startingSlide: <?php echo $params->get('start', 0); ?>,
                    				pager: '#slideshowres_<?php echo $instance; ?> .pag-list .pag-item',
                    				pagerAnchorBuilder: function(i, el){
                    					return $('#slideshowres_<?php echo $instance; ?> .pag-list .pag-item:eq(' + i + ')');
                    				},
                    				updateActivePagerLink: function(pager, i, clsName){
                    					$(pager).removeClass('sel').eq(i).addClass('sel');
                    				},
                    				next: '#slideshowres_<?php echo $instance; ?>  .pag-list .pag-next',
                    				prev: '#slideshowres_<?php echo $instance; ?>  .pag-list .pag-prev',
                    				before: function(curr, next, opts){
                    					if (typeof opts.inited == 'undefined'){
                    						var nextIndex = opts.startingSlide;
                    						$('#slideshowres_<?php echo $instance; ?> .sl-item').eq(nextIndex).addClass('curr');
                    						opts.inited = true;
                    					} else {
                    						var nextIndex = opts.nextSlide;
                    						$('#slideshowres_<?php echo $instance; ?> .sl-item').removeClass('curr');
                    						$('#slideshowres_<?php echo $instance; ?> .sl-item').eq(nextIndex).addClass('curr');
                    					}					
                    				}
								});
								<?php if($options->pause_hover == 1){?>
								$('#slideshowres_<?php echo $instance; ?> .sl-wrap .sl-control').hover(function(e){
          				              $cont.cycle("pause");
                				},function(){
                				      $cont.cycle("resume");
                				});
                				<?php }?>									
							}
						}).attr('src', src0 + '?' + currentTime);
					});
				}
				$(window).bind('resize', itemSize);
			});
		});
		//]]>
	</script>
    
</div>
<?php if(!empty($options->posttext)) {  ?>
<div class="post-text">
	<?php echo $options->posttext; ?>
</div>
<?php } ?>
<?php
} else {
	?>
	<p><?php echo JText::_('Has no content to show!'); ?></p>
	<?php
}
?>